Searched refs:git (Results 1 - 25 of 32) sorted by relevance

12

/linux-master/scripts/
H A Dcheck-git4 # succeed if we are in a git repository
8 if ! git -C "${srctree}" rev-parse --verify HEAD >/dev/null 2>/dev/null; then
12 if ! test -z $(git -C "${srctree}" rev-parse --show-cdup 2>/dev/null); then
H A Dmisc-check6 # Detect files that are tracked but ignored by git. This is checked only when
7 # ${KBUILD_EXTRA_WARN} contains 1, git is installed, and the source tree is
8 # tracked by git.
15 git -C ${srctree:-.} ls-files -i -c --exclude-per-directory=.gitignore 2>/dev/null |
H A Dsetlocalversion5 # control system git.
52 if test -n "$(git rev-parse --show-cdup 2>/dev/null)"; then
56 if ! head=$(git rev-parse --verify HEAD 2>/dev/null); then
70 desc=$(git describe --match=$tag 2>/dev/null)
79 desc=$(git describe --match=$tag 2>/dev/null)
85 desc=$(git describe --match=$tag 2>/dev/null)
93 # running further git commands
115 # You cannot use 'git describe --dirty' because it tries to create
116 # .git/index.lock .
117 # First, with git
[all...]
H A DMakefile.package10 filechk_HEAD = git -C $(srctree) rev-parse --verify HEAD 2>/dev/null
12 .tmp_HEAD: check-git FORCE
15 PHONY += check-git
16 check-git:
17 @if ! $(srctree)/scripts/check-git; then \
18 echo >&2 "error: creating source package requires git repository"; \
22 git-config-tar.gz = -c tar.tar.gz.command="$(KGZIP)"
23 git-config-tar.bz2 = -c tar.tar.bz2.command="$(KBZIP2)"
24 git-config-tar.lzma = -c tar.tar.lzma.command="$(LZMA)"
25 git
[all...]
H A Dobjdiff12 # $ git checkout COMMIT_A
16 # $ git checkout COMMIT_B
28 SRCTREE=$(cd $(git rev-parse --show-toplevel 2>/dev/null); pwd)
31 echo >&2 "ERROR: Not a git repository."
76 CMT="`git rev-parse --short HEAD`"
97 SRC="`git rev-parse --short HEAD^`"
98 DST="`git rev-parse --short HEAD`"
100 SRC="`git rev-parse --short $1`"
101 DST="`git rev-parse --short $2`"
133 CMT="`git re
[all...]
H A Dget_maintainer.pl119 "available" => '(which("git") ne "") && (-e ".git")',
121 "git log --no-color --follow --since=\$email_git_since " .
130 "git log --no-color " .
139 "git log --no-color " .
146 "blame_range_cmd" => "git blame -l -L \$diff_start,+\$diff_length \$file",
147 "blame_file_cmd" => "git blame -l \$file",
153 "file_exists_cmd" => "git ls-files \$file",
154 "list_files_cmd" => "git ls-files \$file",
244 'git!'
[all...]
H A Dcheck-uapi.sh23 -b BASE_REF Base git reference to use for comparison. If unspecified or empty,
139 # Check if git tree is dirty
141 ! git diff --quiet
202 # Install headers for both git refs
210 git archive --format=tar --prefix="${ref}-archive/" "$ref" \
270 printf 'Generated by "%s %s" from git ref %s\n\n' \
271 "$0" "$*" "$(git rev-parse HEAD)" > "$abi_error_log"
452 if ! git rev-parse --is-inside-work-tree > /dev/null 2>&1; then
457 if ! git rev-parse --verify "$past_ref" > /dev/null 2>&1; then
458 printf 'error - invalid git referenc
[all...]
/linux-master/tools/power/cpupower/utils/
H A Dversion-gen.sh12 # First check if there is a .git to get the version from git describe
14 if test -d ../../../.git -o -f ../../../.git &&
15 VN=$(git describe --abbrev=4 HEAD 2>/dev/null) &&
19 git update-index -q --refresh
20 test -z "$(git diff-index --name-only HEAD --)" ||
/linux-master/scripts/package/
H A Dgen-diff-patch8 git -C "${srctree:-.}" diff HEAD > "${diff_patch}"
11 [ -z "$(git -C "${srctree:-.}" ls-files --other --exclude-standard | head -n1)" ]; then
15 # The source tarball, which is generated by 'git archive', contains everything
16 # you committed in the repository. If you have local diff ('git diff HEAD'),
26 # You need to commit them, or at least stage them by 'git add'.
34 echo >&2 "Please make sure you did 'git add' for all new files you need in"
/linux-master/scripts/dtc/
H A Dupdate-dtc-source.sh5 # This script assumes that the dtc and the linux git trees are in the
8 # in the kernel and creates a git commit updating them to the new
15 # relevant files into the kernel tree and create a git commit. The commit
43 git log --oneline scripts/dtc/ | grep 'upstream' | head -1 | sed -e 's/^.* \(.*\)/\1/'
52 dtc_version=$(git describe HEAD)
53 dtc_log=$(git log --oneline ${last_dtc_ver}..)
60 git add ${f}
64 git add libfdt/${f}
69 git add ./libfdt/libfdt.h
80 git commi
[all...]
H A Ddtx_diff31 -S linux kernel source tree is at root of current git repo
149 git_root=`git rev-parse --show-toplevel 2>/dev/null`
214 git_root=`git rev-parse --show-toplevel 2>/dev/null`
/linux-master/tools/testing/selftests/rcutorture/bin/
H A Dkvm-check-branches.sh14 # specification of commits is needed, please use "git rev-list" to
31 if ! git status > /dev/null 2>&1
33 echo '!!!' This script needs to run in a git archive. 1>&2
39 curcommit="`git status | head -1 | awk '{ print $NF }'`"
60 echo ' --- git branch ' $gitbr
63 for i in `git rev-list "$gitbr"`
74 git checkout $i > $resdir/$ds/$idir/git-checkout.out 2>&1
75 echo git checkout return code: $? "(Commit $ntry: $i)"
93 git checkou
[all...]
H A Dkvm.sh440 if test -d .git
442 echo Current commit: `git rev-parse HEAD` >> $resdir/$ds/testid.txt
444 echo ' ---' Output of "'"git status"'": >> $resdir/$ds/testid.txt
445 git status >> $resdir/$ds/testid.txt
448 echo ' ---' Output of "'"git diff HEAD"'": >> $resdir/$ds/testid.txt
449 git diff HEAD >> $resdir/$ds/testid.txt
/linux-master/tools/perf/util/
H A DPERF-VERSION-GEN14 # Use version from kernel Makefile unless not in a git repository and
19 if test -d ../../.git -o -f ../../.git
22 CID=$(git log -1 --abbrev=12 --pretty=format:"%h" --no-show-signature 2>/dev/null) && CID="-g$CID"
/linux-master/drivers/gpu/drm/ci/
H A Dbuild-igt.sh6 git clone https://gitlab.freedesktop.org/drm/igt-gpu-tools.git --single-branch --no-checkout
8 git checkout $IGT_VERSION
H A Dbuild.sh7 rm -rf .git/rebase-apply
58 git config --global user.email "fdo@example.com"
59 git config --global user.name "freedesktop.org CI"
60 git config --global pull.rebase true
62 # cleanup git state on the worker
63 rm -rf .git/rebase-merge
66 if [ "$(git ls-remote --exit-code --heads ${UPSTREAM_REPO} ${TARGET_BRANCH}-external-fixes)" ]; then
67 git pull ${UPSTREAM_REPO} ${TARGET_BRANCH}-external-fixes
73 if [ "$(git ls-remote --exit-code --heads origin ${TARGET_BRANCH}-external-fixes)" ]; then
74 git pul
[all...]
/linux-master/tools/power/pm-graph/
H A Dinstall_latest_from_github.sh5 # from http://github.com/intel/pm-graph.git
22 git clone http://github.com/intel/pm-graph.git $OUT/pm-graph
/linux-master/tools/memory-model/scripts/
H A Dinitlitmushist.sh49 git clone https://github.com/paulmckrcu/litmus
50 ( cd litmus; git checkout origin/master )
H A Dcheckghlitmus.sh24 git clone https://github.com/paulmckrcu/litmus
25 ( cd litmus; git checkout origin/master )
/linux-master/tools/net/ynl/
H A Dynl-regen.sh20 files=$(git grep --files-with-matches '^/\* YNL-GEN \(kernel\|uapi\|user\)')
24 params=( $(git grep -B1 -h '/\* YNL-GEN' $f | sed 's@/\*\(.*\)\*/@\1@') )
/linux-master/tools/testing/ktest/examples/
H A Dtest.conf52 DO_POST_BUILD := git reset --hard
H A Dsnowball.conf49 BUILD_DIR = ${THIS_DIR}/linux.git
H A Dcrosstests.conf29 # Update the BUILD_DIR option to the location of your git repo you want to test.
30 BUILD_DIR = ${THIS_DIR}/linux.git
/linux-master/tools/testing/ktest/examples/include/
H A Ddefaults.conf56 # Point build dir to the git repo you use
57 BUILD_DIR = ${THIS_DIR}/linux.git
/linux-master/tools/testing/selftests/powerpc/
H A DMakefile10 GIT_VERSION = $(shell git describe --always --long --dirty || echo "unknown")

Completed in 193 milliseconds

12